PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::optical::effective::RootDigger::Params Struct Reference

`#include <solvers/optical/effective/rootdigger.hpp>`

Collaboration diagram for plask::optical::effective::RootDigger::Params:
[legend]

## Public Member Functions
| Params ()

## Public Attributes
Method | method
| Root finding method.
double | tolx
| Absolute tolerance on the argument.
double | tolf_min
| Sufficient tolerance on the function value.
double | tolf_max
| Required tolerance on the function value.
double | maxstep
| Maximum step in one iteration.
int | maxiter
| Maximum number of iterations.
double | alpha
| Ensures sufficient decrease of determinant in each step.
double | lambda_min
| Minimum decrease ratio of the step (lambda)
dcomplex | initial_dist
| Distance between initial points.
int | stairs
| Number of staircase iterations in Brent algorithm.

## Detailed Description

Definition at line 33 of file rootdigger.hpp.

## Constructor & Destructor Documentation

## ◆ Params()

plask::optical::effective::RootDigger::Params::Params | ( |  | ) |
| inline

Definition at line 45 of file rootdigger.hpp.

## Member Data Documentation

## ◆ alpha

double plask::optical::effective::RootDigger::Params::alpha

Ensures sufficient decrease of determinant in each step.

Definition at line 40 of file rootdigger.hpp.

## ◆ initial_dist

dcomplex plask::optical::effective::RootDigger::Params::initial_dist

Distance between initial points.

Definition at line 42 of file rootdigger.hpp.

## ◆ lambda_min

double plask::optical::effective::RootDigger::Params::lambda_min

Minimum decrease ratio of the step (lambda)

Definition at line 41 of file rootdigger.hpp.

## ◆ maxiter

int plask::optical::effective::RootDigger::Params::maxiter

Maximum number of iterations.

Definition at line 39 of file rootdigger.hpp.

## ◆ maxstep

double plask::optical::effective::RootDigger::Params::maxstep

Maximum step in one iteration.

Definition at line 38 of file rootdigger.hpp.

## ◆ method

Method plask::optical::effective::RootDigger::Params::method

Root finding method.

Definition at line 34 of file rootdigger.hpp.

## ◆ stairs

int plask::optical::effective::RootDigger::Params::stairs

Number of staircase iterations in Brent algorithm.

Definition at line 43 of file rootdigger.hpp.

## ◆ tolf_max

double plask::optical::effective::RootDigger::Params::tolf_max

Required tolerance on the function value.

Definition at line 37 of file rootdigger.hpp.

## ◆ tolf_min

double plask::optical::effective::RootDigger::Params::tolf_min

Sufficient tolerance on the function value.

Definition at line 36 of file rootdigger.hpp.

## ◆ tolx

double plask::optical::effective::RootDigger::Params::tolx

Absolute tolerance on the argument.

Definition at line 35 of file rootdigger.hpp.

The documentation for this struct was generated from the following file:

- solvers/optical/effective/rootdigger.hpp